package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Pattern;

/**
 * @author yrf
 * @time 2020/5/20 14:38
 */
public class ExportDistributionExerciseBookListReq extends BaseRequest {

    private static final long serialVersionUID = 4104629594564607436L;

    @ApiModelProperty(name = "startTime", value = "起始时间(yyyy-MM-dd)")
    @Pattern(regexp = ".{0}|\\d{4}-\\d{2}-\\d{2}", message = "日期格式不正确，正确的日期格式为：yyyy-MM-dd")
    private String startTime;

    @ApiModelProperty(name = "endTime", value = "截止时间(yyyy-MM-dd)")
    @Pattern(regexp = ".{0}|\\d{4}-\\d{2}-\\d{2}", message = "日期格式不正确，正确的日期格式为：yyyy-MM-dd")
    private String endTime;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }
}
